# 32/64bit spec-file
#
%define develname %mklibname mupdf -d

Summary:	A lightweight PDF and XPS viewer
Summary(de):	Ein resourcenschonender PDF und XPS Betrachter
Name:		mupdf
Version:	1.5
Release:	%mkrel 1
License:	AGPLv3
Group:		Office
URL:		http://www.mupdf.com/
Source0:	https://mupdf.googlecode.com/files/%name-%version-source.tar.xz
Source1:	%{name}.desktop
BuildRequires:	%{_lib}x11-devel
BuildRequires:	libxext-devel
BuildRequires:	imagemagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MuPDF is small, fast, and yet complete. It supports PDF 1.7 with transparency, encryption, 
hyperlinks, annotations, searching and more. It also reads XPS and OpenXPS documents. MuPDF is 
written modularly, so features can be added on by integrators if they so desire. 

%description -l de
MuPDF ist klein, schnell und sogar vollständig. Es unterstützt PDF 1.7 mit Transparenz, 
Verschlüsselung, Hyperlinks, Anmerkungen, Suchen und mehr. Es liest auch XPS und OpenXPS 
Dokumente. MuPDF ist modular geschrieben, sodass Eigenschaften, durch Integratoren 
hinzugefügt werden können.

%package -n %{develname}
Summary:	Development headers for %name
Summary(de):	Header und Bibliotheken für %name
Group:		Development/Libraries

%description -n %{develname}
MuPDF is small, fast, and yet complete. It supports PDF 1.7 with transparency, encryption, 
hyperlinks, annotations, searching and more. It also reads XPS and OpenXPS documents. MuPDF is 
written modularly, so features can be added on by integrators if they so desire. 

This package contains the development header for %name

%description -n %{develname} -l de
MuPDF ist klein, schnell und sogar vollständig. Es unterstützt PDF 1.7 mit Transparenz, 
Verschlüsselung, Hyperlinks, Anmerkungen, Suchen und mehr. Es liest auch XPS und OpenXPS 
Dokumente. MuPDF ist modular geschrieben, sodass Eigenschaften, durch Integratoren 
hinzugefügt werden können.

Dieses Paket enthält Header-Dateien für %name

%prep
%setup -q -n %name-%version-source

%build
%make XCFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall

# the desktop file is just for the use in context menu because the program requires
# always an input file
install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot} %{buildroot}%{_datadir}/pixmaps
convert platform/x11/mupdf.ico %{buildroot}%{_datadir}/pixmaps/%{name}.png
mv %{buildroot}%{_datadir}/pixmaps/%{name}-1.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -f %{buildroot}%{_datadir}/pixmaps/%{name}-*.png

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%name-%version-source

%files
%defattr(-, root, root)
%doc CHANGES CONTRIBUTORS COPYING README
%{_bindir}/mupdf-x11
%{_bindir}/mupdf-x11-curl
%{_bindir}/mutool
%{_bindir}/mudraw
%{_bindir}/mujstest
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/mupdf.1.bz2
%{_mandir}/man1/mudraw.1.bz2
%{_mandir}/man1/mutool.1.bz2

%files -n %{develname}
%defattr(-, root, root)
%doc docs/*
%{_includedir}/%name
%{_libdir}/libmupdf.a

%changelog
* Fri Jul 25 2014 ghostbunny <ghostbunny at gmx dot de> 1.5-1pclos2014
- 1.5
- add BR imagemagick for image converting

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 1.4-1pclos2014
- 1.4

* Thu Aug 15 2013 ghostbunny <ghostbunny at gmx dot de> 1.3-1pclos2013
- 1.3

* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 1.2-2pclos2013
- fixed BR for 32/64 compatibility

* Mon Mar 18 2013 ghostbunny <ghostbunny at gmx dot de> 1.2-1pclos2013
- initial import for pclos
